Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_Default_POA_Factory Class Reference

Default factory for POA objects. More...

`#include <Notify_Default_POA_Factory.h>`

Inheritance diagram for TAO_Notify_Default_POA_Factory:

[legend]
Collaboration diagram for TAO_Notify_Default_POA_Factory:

[legend]
List of all members.

## Public Methods
| TAO_Notify_Default_POA_Factory (void)
| ~TAO_Notify_Default_POA_Factory ()
virtual int | init (int argc, ACE_TCHAR *argv[])
virtual int | fini (void)
PortableServer::POA_ptr | create_event_channel_POA (PortableServer::POA_ptr parent_poa ACE_ENV_ARG_DECL)
| Create the POA to activate Event Channels in. More...
PortableServer::POA_ptr | create_supplier_admin_POA (PortableServer::POA_ptr parent_poa, CORBA::Long new_poa_id ACE_ENV_ARG_DECL)
| Create the POA to activate SA's in. More...
PortableServer::POA_ptr | create_consumer_admin_POA (PortableServer::POA_ptr parent_poa, CORBA::Long new_poa_id ACE_ENV_ARG_DECL)
| Create the POA to activate CA's in. More...
PortableServer::POA_ptr | create_proxy_pushconsumer_POA (PortableServer::POA_ptr parent_poa, CORBA::Long new_poa_id ACE_ENV_ARG_DECL)
| Create the POA to activate proxy push consumers in. More...
PortableServer::POA_ptr | create_proxy_pushsupplier_POA (PortableServer::POA_ptr parent_poa, CORBA::Long new_poa_id ACE_ENV_ARG_DECL)
| Create the POA to activate proxy push suppliers in. More...
CORBA::Object_ptr | activate_object_with_id (CORBA::Long id, PortableServer::POA_ptr poa, PortableServer::Servant servant ACE_ENV_ARG_DECL)
| Converts <id> to an ObjectId and registers with the POA <poa>. More...
CORBA::Object_ptr | activate_object (PortableServer::POA_ptr poa, PortableServer::Servant servant ACE_ENV_ARG_DECL)
| Registers with the POA <poa>. More...
CORBA::Object_ptr | servant_to_reference (PortableServer::POA_ptr poa, PortableServer::Servant servant ACE_ENV_ARG_DECL)
| Registers with the POA <poa>. More...
CORBA::Object_ptr | id_to_reference (CORBA::Long id, PortableServer::POA_ptr poa ACE_ENV_ARG_DECL)
| Look for the Object with id <id> in <poa>. More...
void | destroy_POA (PortableServer::POA_ptr poa ACE_ENV_ARG_DECL)
| Destroy the <poa>. More...
void | deactivate_object (CORBA::Object_ptr obj, PortableServer::POA_ptr poa ACE_ENV_ARG_DECL)
| Deactivate the object. More...
void | deactivate_object (PortableServer::Servant servant, PortableServer::POA_ptr ACE_ENV_ARG_DECL)
| Deactivate the object. More...
## Static Public Methods
int | init_svc (void)
| Helper function to register the default factory into the service configurator. More...
## Protected Methods
PortableServer::ObjectId * | long_to_ObjectId (const CORBA::Long id)
| Converts a CORBA::Long to an ObjectId. More...
PortableServer::POA_ptr | create_generic_childPOA_i (const char *child_poa_name, PortableServer::POA_ptr parent_poa ACE_ENV_ARG_DECL)
| Create the POA with the most generic policies required of our POA's. More...

## Detailed Description

Default factory for POA objects.

## Constructor & Destructor Documentation

TAO_Notify_Default_POA_Factory::TAO_Notify_Default_POA_Factory | ( | void |  | ) |

TAO_Notify_Default_POA_Factory::~TAO_Notify_Default_POA_Factory | ( |  | ) |

## Member Function Documentation

CORBA::Object_ptr TAO_Notify_Default_POA_Factory::activate_object | ( | PortableServer::POA_ptr | poa,
|  | PortableServer::Servant servant | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Registers with the POA <poa>. Reimplemented from TAO_Notify_POA_Factory.

CORBA::Object_ptr TAO_Notify_Default_POA_Factory::activate_object_with_id | ( | CORBA::Long | id,
|  | PortableServer::POA_ptr | poa,
|  | PortableServer::Servant servant | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Converts <id> to an ObjectId and registers with the POA <poa>. Reimplemented from TAO_Notify_POA_Factory.

PortableServer::POA_ptr TAO_Notify_Default_POA_Factory::create_consumer_admin_POA | ( | PortableServer::POA_ptr | parent_poa,
|  | CORBA::Long new_poa_id | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Create the POA to activate CA's in. Reimplemented from TAO_Notify_POA_Factory.

PortableServer::POA_ptr TAO_Notify_Default_POA_Factory::create_event_channel_POA | ( | PortableServer::POA_ptr parent_poa | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Create the POA to activate Event Channels in. Reimplemented from TAO_Notify_POA_Factory.

PortableServer::POA_ptr TAO_Notify_Default_POA_Factory::create_generic_childPOA_i | ( | const char * | child_poa_name,
|  | PortableServer::POA_ptr parent_poa | ACE_ENV_ARG_DECL
| ) | `[protected]`

| Create the POA with the most generic policies required of our POA's.

PortableServer::POA_ptr TAO_Notify_Default_POA_Factory::create_proxy_pushconsumer_POA | ( | PortableServer::POA_ptr | parent_poa,
|  | CORBA::Long new_poa_id | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Create the POA to activate proxy push consumers in. Reimplemented from TAO_Notify_POA_Factory.

PortableServer::POA_ptr TAO_Notify_Default_POA_Factory::create_proxy_pushsupplier_POA | ( | PortableServer::POA_ptr | parent_poa,
|  | CORBA::Long new_poa_id | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Create the POA to activate proxy push suppliers in. Reimplemented from TAO_Notify_POA_Factory.

PortableServer::POA_ptr TAO_Notify_Default_POA_Factory::create_supplier_admin_POA | ( | PortableServer::POA_ptr | parent_poa,
|  | CORBA::Long new_poa_id | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Create the POA to activate SA's in. Reimplemented from TAO_Notify_POA_Factory.

void TAO_Notify_Default_POA_Factory::deactivate_object | ( | PortableServer::Servant | servant,
|  | PortableServer::POA_ptr | poa
| ) | `[virtual]`

| Deactivate the object. Reimplemented from TAO_Notify_POA_Factory.

void TAO_Notify_Default_POA_Factory::deactivate_object | ( | CORBA::Object_ptr | obj,
|  | PortableServer::POA_ptr poa | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Deactivate the object. Reimplemented from TAO_Notify_POA_Factory.

void TAO_Notify_Default_POA_Factory::destroy_POA | ( | PortableServer::POA_ptr poa | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Destroy the <poa>. Reimplemented from TAO_Notify_POA_Factory.

int TAO_Notify_Default_POA_Factory::fini | ( | void |  | ) | `[virtual]`

| Reimplemented from ACE_Shared_Object.

CORBA::Object_ptr TAO_Notify_Default_POA_Factory::id_to_reference | ( | CORBA::Long | id,
|  | PortableServer::POA_ptr poa | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Look for the Object with id <id> in <poa>. Reimplemented from TAO_Notify_POA_Factory.

int TAO_Notify_Default_POA_Factory::init | ( | int | argc,
|  | ACE_TCHAR * | argv[]
| ) | `[virtual]`

| Reimplemented from ACE_Shared_Object.

int TAO_Notify_Default_POA_Factory::init_svc | ( | void |  | ) | `[static]`

| Helper function to register the default factory into the service configurator.

PortableServer::ObjectId * TAO_Notify_Default_POA_Factory::long_to_ObjectId | ( | const CORBA::Long | id | ) | `[protected]`

| Converts a CORBA::Long to an ObjectId.

CORBA::Object_ptr TAO_Notify_Default_POA_Factory::servant_to_reference | ( | PortableServer::POA_ptr | poa,
|  | PortableServer::Servant servant | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Registers with the POA <poa>. Reimplemented from TAO_Notify_POA_Factory.

The documentation for this class was generated from the following files:

- Notify_Default_POA_Factory.h
- Notify_Default_POA_Factory.cpp